• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • iPhone 3.0 Beta 4 and iTunes 8.2 Pre-Release.


    Two weeks after iPhone firmware 3.0 beta 3 Apple has released iPhone 3.0 beta 4 (7a300g) to those participating in the iPhone Developer Program. So far what's new in this latest beta is the Store settings pane is now functioning. Once you are signed into your iTunes account you can edit your payment settings. Will update this thread as more info from beta 4 comes in.
    • iTunes 8.1.1 restores beta 4 firmware just fine . . . well until the end. Nice error 10. Installing iTunes 8.2 and restoring on beta 4 works fine.
    • After you take a pic you have the option of re-taking.
    • While playing shows if you are connected via some bluetooth (image via macrumors)
    • Tethering already enabled without patching (possibly only if you had it enabled before restoring?). I can't confirm this with my phone. What I can confirm is after loading the hack along with my network update for AT&T tethering does work fine on beta 4.
    • Error 3004 probably means iTunes can't connect to Apple servers to verify you have a dev account. Open port 8080 on your router.
    • New iTunes shows how much time remaining to restore backup.
    • New iTunes syncs voice memos.
    • If you get the pink screen of death try try again to restore via iTunes 8.2. It should work eventually (hopefully). A reboot might solve that too.
    • iTunes 8.2 for windows enables usb tethering (even compatible with beta 3)
    • Copy paste now works in the calculator.

    iTunes 8.2 was also pre-released. Now iTunes checks that you are a registered developer before updating your iPhone. Macrumors is reporting that iTunes 8.2 carries Blue-ray references to Gracenote that could suggest that itunes might support Blueray reading.

    thanks everyone who sent this in
    This article was originally published in forum thread: iPhone 3.0 Beta 4 and iTunes 8.2 Pre-Release. started by Cody Overcash View original post
    Comments 186 Comments
    1. lightmaster's Avatar
      lightmaster -
      Quote Originally Posted by HighTymes View Post
      Well I can see how today is going to be, a crappy one.

      Went to install iTunes 8.2 from my 8.0.2 version and toward the end of the install an error came up saying that a newer version of Apple Mobile Device Support was already installed(OKed that) then another one came up saying a newer version of Quicktime was installed already.

      Frustrated I decide to uninstall iTunes and quicktime and try again. iTunes uninstalls fine but quicktime will not for the life of me, says their is already a newer version installed(I am uninstalling you bastard, I don't care what is installed).

      I restart PC and try to install iTunes again but it will NOT. Says there is newer version installed still.

      So I am now at the point where I have tried to uninstall everything apple related and if they don't uninstall I have manually deleted their folders under Program Files(which hasn't helped either).

      So basically I have no iTunes and quicktime now and 3.0 beta 4 waiting to be installed but nothing will install.

      I am running Windows Vista 32-bit

      Help Anyone, What Have I Done!!


      Thanks
      Your problem is that you're running Vista. Vista has some really bad permission problems (being logged in as administrator and not being able to overwrite some files). I used to work at a computer repair store and 9 out of 10 computers that came in with software problems were running Vista.

      And no, I'm not bashing Microsoft, just Windows Vista.


      You can try booting to safe mode and logging in as Administrator, then deleting the files from the Program Files folder using command prompt. You can also try using CCleaner, it is really good at uninstalling programs and also fixing your registry.
    1. ggolow's Avatar
      ggolow -
      In my case iTunes (8.2) give an error 3014. "could not be updated. An unknown error occurred (3014)". I try both methods shift+restore and shift+update. I get the same message in both. My iphone is now on recovery mode
    1. ~Steve Jobs~'s Avatar
      ~Steve Jobs~ -
      Quote Originally Posted by lightmaster View Post
      Your problem is that you're running Vista. Vista has some really bad permission problems (being logged in as administrator and not being able to overwrite some files). I used to work at a computer repair store and 9 out of 10 computers that came in with software problems were running Vista.

      And no, I'm not bashing Microsoft, just Windows Vista.


      You can try booting to safe mode and logging in as Administrator, then deleting the files from the Program Files folder using command prompt. You can also try using CCleaner, it is really good at uninstalling programs and also fixing your registry.
      im running vista and did the upgrade last night with no problems....
    1. coloradoxmfan's Avatar
      coloradoxmfan -
      Quote Originally Posted by ggolow View Post
      In my case iTunes (8.2) give an error 3014. "could not be updated. An unknown error occurred (3014)". I try both methods shift+restore and shift+update. I get the same message in both. My iphone is now on recovery mode
      Try DFU mode.
    1. lightmaster's Avatar
      lightmaster -
      Quote Originally Posted by ~Steve Jobs~ View Post
      im running vista and did the upgrade last night with no problems....
      I wasn't saying that everyone would have problems with Vista, just that he did. My grandmother runs Vista with no problems, but then again, all she does is play solitaire on it. I've just seen a lot of people having problems with Vista in general. From what HighTymes said, it seems to me like Vista might not be letting him have full access to the files for QuickTime, so he can't upgrade, uninstall, or delete those files.
    1. ~Steve Jobs~'s Avatar
      ~Steve Jobs~ -
      he prolly needs to turn the user account control off.
    1. andygev35's Avatar
      andygev35 -
      On a side note, iTunes 8.2 enables USB tethering to a Windows (Vista) laptop on beta 3 before ever upgrading to beta 4.
    1. scottvalentine's Avatar
      scottvalentine -
      anyone have a link to the win 64 installer for the itunes pre-release? much appreciated.
    1. ggolow's Avatar
      ggolow -
      Quote Originally Posted by coloradoxmfan View Post
      Try DFU mode.
      I try that but no luck

      Stealth any idea?
    1. thetoothfairy's Avatar
      thetoothfairy -
      Quote Originally Posted by confucious View Post
      good first post

      welcome to mmi
      lol
    1. Sk8r789456's Avatar
      Sk8r789456 -
      Quote Originally Posted by ggolow View Post
      I try that but no luck

      Stealth any idea?
      Are you on the dev list anyways?
      If your on vista run itunes as an administrator then try to restore if nothing use quickpwn to go back to beta 3
    1. confucious's Avatar
      confucious -
      Quote Originally Posted by StealthBravo View Post
      Everyone-
      Red? I know it was important but please!



    1. Sk8r789456's Avatar
      Sk8r789456 -
      Quote Originally Posted by duceduc View Post
      StealthBravo:

      I'm not seeing the tethering menu after the beta4 update is because I don't have an active sim? I'm currently using it as an itouch. This is a 1G phone btw.
      Tethering is for the 3G..
      And you have to be on the Dev list to be on beta 4
    1. StealthBravo's Avatar
      StealthBravo -
      Quote Originally Posted by ggolow View Post
      In my case iTunes (8.2) give an error 3014. "could not be updated. An unknown error occurred (3014)". I try both methods shift+restore and shift+update. I get the same message in both. My iphone is now on recovery mode
      Double check that a firewall is not preventing iTunes from accessing what it needs to. iTunes 8.2 authenticates with Apple for valid developer status and if your firewall is on can cause problems. turn off firewall and try again.

      Quote Originally Posted by confucious View Post
      Red? I know it was important but please!





      Just needed it to stand out! Would you prefer this?


      HAHA, you are the man! Last night was pretty crazy.
    1. confucious's Avatar
      confucious -
      Quote Originally Posted by StealthBravo View Post


      Just needed it to stand out! Would you prefer this?
      That's far better
    1. StealthBravo's Avatar
      StealthBravo -
      Ladies and gentlemen, can I please have your attention. I've just been handed an urgent and horrifying news story. I need all of you, to stop what you're doing and listen.

      Cannonball!


    1. confucious's Avatar
      confucious -
      If i didn't know better I'd say you were as mad as I am!
    1. ggolow's Avatar
      ggolow -
      Quote Originally Posted by Sk8r789456 View Post
      Are you on the dev list anyways?
      If your on vista run itunes as an administrator then try to restore if nothing use quickpwn to go back to beta 3
      Yes I'm

      Quote Originally Posted by StealthBravo View Post
      Double check that a firewall is not preventing iTunes from accessing what it needs to. iTunes 8.2 authenticates with Apple for valid developer status and if your firewall is on can cause problems. turn firewall and try again.
      I'll try that.
    1. duceduc's Avatar
      duceduc -
      Quote Originally Posted by Sk8r789456 View Post
      Tethering is for the 3G..
      And you have to be on the Dev list to be on beta 4
      I thought it was only mms that doesn't work on 1G or I read it wrong? I'm on the dev list btw.
    1. Sk8r789456's Avatar
      Sk8r789456 -
      Quote Originally Posted by duceduc View Post
      I thought it was only mms that doesn't work on 1G or I read it wrong? I'm on the dev list btw.
      It's mms and tethering